-----------------------------------------------------
-- localization.lua
-- English strings by default, localizations override with their own.
------------------------------------------------------

-- Key bindings
BINDING_HEADER_FEEDOMATIC = "Fizzwidget Feed-O-Matic";
BINDING_NAME_FEEDOMATIC = "Feed Pet";

-- Diet names. These should be the all-lowercase versions of the six diets returned from GetPetFoodTypes(). (Want to get them all nice and quick for your localization? Go tame a bear or boar... they eat anything.)
-- THESE STRINGS MUST BE LOCALIZED for Feed-O-Matic to work properly in other locales.
FOM_DIET_MEAT	= "meat";
FOM_DIET_FISH	= "fish";
FOM_DIET_BREAD	= "bread";
FOM_DIET_CHEESE = "cheese";
FOM_DIET_FRUIT	= "fruit";
FOM_DIET_FUNGUS = "fungus";

-- It's not clear whether the 5th and 6th returns from GetItemInfo() are supposed to be localized... so we have localized keys for them just in case. If these aren't localized, we'll just needlessly search your ammo bags for food.
FOM_AMMO_POUCH = "Ammo Pouch";
FOM_QUIVER = "Quiver";

-- Beast family names; we use these to provide immersive pet-specific sounds when the pet is hungry. If not localized, all pets will just play a bell sound when hungry.
FOM_BAT = "Bat";
FOM_BEAR = "Bear";
FOM_BOAR = "Boar";
FOM_CARRION_BIRD = "Carrion Bird";
FOM_CAT = "Cat";
FOM_CRAB = "Crab";
FOM_CROCOLISK = "Crocolisk";
FOM_GORILLA = "Gorilla";
FOM_HYENA = "Hyena";
FOM_OWL = "Owl";
FOM_RAPTOR = "Raptor";
FOM_SCORPID = "Scorpid";
FOM_SPIDER = "Spider";
FOM_TALLSTRIDER = "Tallstrider";
FOM_TURTLE = "Turtle";
FOM_WIND_SERPENT = "Wind Serpent";
FOM_WOLF = "Wolf";
-- expansion beast families
FOM_DRAGONHAWK = "Dragonhawk";
FOM_NETHER_RAY = "Nether Ray";
FOM_RAVAGER = "Ravager";
FOM_SERPENT = "Serpent";
FOM_SPOREBAT = "Sporebat";
FOM_WARP_STALKER = "Warp Stalker";

-- From here on down, the localized strings are just for readability... they don't affect whether Feed-O-Matic works.
FOM_BINDING_FEED = "Feed Pet";
FOM_BINDING_OPTIONS = "Feed-O-Matic Options";

FOM_FEEDBUTTON_TOOLTIP1 = "<Left-Click to feed pet %s>";
FOM_FEEDBUTTON_TOOLTIP1_FALLBACK = "<Alt-Left-Click to feed pet %s>";
FOM_FEEDBUTTON_TOOLTIP2 = "<Right-Click for Feed-O-Matic Options>";

-- Special diet keyword used in the chat-line interface for listing all diets.
FOM_DIET_ALL	= "all";

-- Used in tooltips to indicate food quality.
FOM_QUALITY_UNDER	= "%s doesn't like this anymore.";
FOM_QUALITY_WILL	= "%s will eat this.";
FOM_QUALITY_LIKE	= "%s likes to eat this.";
FOM_QUALITY_LOVE	= "%s loves to eat this.";

-- User-visible errors
FOM_ERROR_NO_FOOD		= "Could not find any food in your bags for %s.";
FOM_ERROR_NO_FOOD_NO_FALLBACK	= "Could not find any food in your bags for %s that you haven't told Feed-O-Matic to avoid.";
FOM_FALLBACK_MESSAGE	= "Hold Alt while pressing the Feed Pet button or key to feed %s anyway.";

-- Feeding status messages
FOM_FEEDING_EAT			= "Feeding %s a %s..."; 
FOM_FEEDING_FEED		= "feeds %s a %s. ";

FOM_PET_HUNGRY		= "%s is hungry!";
FOM_PET_VERY_HUNGRY	= "%s is very hungry!";

FOM_OPTIONS_HEADER = "Feed-O-Matic Options";
FOM_OPTIONS_GENERAL = "General options:";
FOM_OPTIONS_FOOD_CHOICE = "Avoid foods used in Cooking:";
FOM_OPTIONS_FEED_NOTIFY = "Notify when feeding:";
FOM_OPTIONS_WARNING = "Warn that your pet needs feeding:";
FOM_OPTIONS_KEY_BINDINGS = "Key Bindings:";

FOM_KEEPOPEN = "Try to keep at least";
FOM_KEEPOPEN_SLOTS = "slots open in your bags.";
FOM_KEEPOPEN_INFO = "(Always chooses smaller stacks when low on space.)";

FOM_SAVEFORCOOK_LABEL = "...of at least";
FOM_SAVEFORCOOK_LABEL2 = "difficulty";

FOM_OptionsButtonText = {
	["Tooltip"]	= "Show your pet's opinion of foods in their tooltips",
	["AvoidQuestFood"]	= "Avoid foods needed for quests",
	["AvoidBonusFood"]	= "Avoid foods that have a bonus effect when eaten",
	["UseLowLevelFirst"]	= "Use up lower-level foods first",
	["SaveForCooking"]	= "Avoid foods used for Cooking recipes",
	["IconWarning"]	= "Flash icon",
	["TextWarning"]	= "Show text",
	["AudioWarning"]	= "Play sound",
	["AudioWarningBell"]	= "Generic bell sound instead of pet-specific",
	["AlertEmote"]	= "Via emote (seen by others)",
	["AlertChat"]	= "In the chat window (seen by you only)",
	["AlertNone"]	= "Don't notify",
	["LevelContent"]	= "when \"content\"",
	["LevelUnhappy"]	= "when \"unhappy\"",
	["LevelOff"]	= "Don't warn",
};
------------------------------------------------------

if (GetLocale() == "frFR") then

-- Diet names. These should be the all-lowercase versions of the six diets returned from GetPetFoodTypes(). (Want to get them all nice and quick for your localization? Go tame a bear... they eat anything.)
-- THESE STRINGS MUST BE LOCALIZED for Feed-O-Matic to work properly in other locales.
	FOM_DIET_MEAT	= "viande";
	FOM_DIET_FISH	= "poisson";
	FOM_DIET_BREAD	= "pain";
	FOM_DIET_CHEESE = "fromage";
	FOM_DIET_FRUIT	= "fruit";
	FOM_DIET_FUNGUS = "champignon";

	-- It's not clear whether the 5th and 6th returns from GetItemInfo() are supposed to be localized... so we have localized keys for them just in case. If these aren't localized, we'll just needlessly search your ammo bags for food.
	FOM_AMMO_POUCH = "Giberne";
	FOM_QUIVER = "Carquois";

	-- Beast family names; we use these to provide immersive pet-specific sounds when the pet is hungry. If not localized, all pets will just play a bell sound when hungry.
	FOM_BAT = "Chauve-souris";
	FOM_BEAR = "Ours";
	FOM_BOAR = "Sanglier";
	FOM_CARRION_BIRD = "Charognard";
	FOM_CAT = "Félin";
	FOM_CRAB = "Crabe";
	FOM_CROCOLISK = "Crocilisque";
	FOM_GORILLA = "Gorille";
	FOM_HYENA = "Hyène";
	FOM_OWL = "Chouette";
	FOM_RAPTOR = "Raptor";
	FOM_SCORPID = "Scorpide";
	FOM_SPIDER = "Araignée";
	FOM_TALLSTRIDER = "Haut-trotteur";
	FOM_TURTLE = "Tortue";
	FOM_WIND_SERPENT = "Serpent des vents";
	FOM_WOLF = "Loup";

-- From here on down, the localized strings are just for readability... they don't affect whether Feed-O-Matic works.

	-- Special diet keyword used in the chat-line interface for listing all diets.
	FOM_DIET_ALL	= "tous";

	-- Used in tooltips to indicate food quality.
	FOM_QUALITY_UNDER	= "%s n'en mange plus désormais.";
	FOM_QUALITY_WILL	= "%s en mangera.";
	FOM_QUALITY_LIKE	= "%s aime en manger.";
	FOM_QUALITY_LOVE	= "%s adore en manger.";
	
	-- User-visible errors
	FOM_ERROR_NO_FOOD		= "%s n'a pas trouvé de nourriture dans votre sac.";
	
	-- Feeding status messages
	FOM_FEEDING_EAT			= "%s mange un(e) %s."; 
	FOM_FEEDING_FEED		= "donne à %s à manger un(e) %s. ";

	FOM_PET_HUNGRY  = "%s a faim!";
	FOM_PET_VERY_HUNGRY = "%s a très faim!";

	FOM_OPTIONS_HEADER = "Feed-O-Matic Options";
	FOM_OPTIONS_GENERAL = "Options générales:";
	FOM_OPTIONS_FOOD_CHOICE = "Eviter la nourriture utilisée en cuisine:";
	FOM_OPTIONS_FEED_NOTIFY = "Prévenir lorsque votre familier est nourrit:"; 
	FOM_OPTIONS_WARNING = "Avertir quand votre familier a besoin d'être nourrit:";

	FOM_KEEPOPEN = "Essayer de garder au moins";
	FOM_KEEPOPEN_SLOTS = "emplacements de sac libres";
	FOM_KEEPOPEN_INFO = "(Le familier choisira la nourriture des piles les plus petites, sans tenir compte de ses préférences.)";

	FOM_OptionsButtonText = {
		["Tooltip"] = "Afficher l'avis de votre familier concernant la nourriture",
		["AvoidQuestFood"] = "Eviter la nourriture utile dans les quêtes", 
		["AvoidBonusFood"] = "Eviter la nourriture donnant un bonus",
		["PreferHigherQuality"] = "Privilégier la nourriture que votre familier préfère",
		["SaveForCook_All"] = "Toutes nourritures utilisées pour la cuisine",
		["SaveForCook_Green"] = "si elle est utilisée dans les recettes |cff3fbf3f\"faciles\"|r ou supérieures", 
		["SaveForCook_Yellow"] = "si elle est utilisée dans les recettes |cffffff00\"moyennes\"|r ou supérieures",
		["SaveForCook_Orange"] = "si elle est utilisée dans les recettes |cffff7f3f\"difficiles\"|r", 
		["SaveForCook_None"] = "Ne pas éviter la nourriture utilisée en cuisine",
		["IconWarning"] = "Clignoter l'icône",
		["TextWarning"] = "Afficher un texte", 
		["AudioWarning"] = "Jouer un son",
		["AudioWarningBell"] = "Un son de cloche au lieu du cri du familier",
		["AlertEmote"] = "Via emote (visible par les autres)", 
		["AlertChat"] = "Dans la fenêtre de discussion (visible uniquement par vous)",
		["AlertNone"] = "Ne pas prévenir",
		["LevelContent"] = "quand \"content\"", 
		["LevelUnhappy"] = "quand \"mécontent\"",
		["LevelOff"] = "Ne pas avertir",
	};
end

------------------------------------------------------

if (GetLocale() == "deDE") then

-- Diet names. These should be the all-lowercase versions of the six diets returned from GetPetFoodTypes(). (Want to get them all nice and quick for your localization? Go tame a bear... they eat anything.)
-- THESE STRINGS MUST BE LOCALIZED for Feed-O-Matic to work properly in other locales.
	FOM_DIET_MEAT	= "fleisch";
	FOM_DIET_FISH	= "fisch";
	FOM_DIET_BREAD	= "brot";
	FOM_DIET_CHEESE = "käse";
	FOM_DIET_FRUIT	= "obst";
--	FOM_DIET_FUNGUS = "fungus";	-- same as English (?), so we don't need to re-define it.

	-- It's not clear whether the 5th and 6th returns from GetItemInfo() are supposed to be localized... so we have localized keys for them just in case.
	FOM_AMMO_POUCH = "Munitionsbeutel";
	FOM_QUIVER = "Köcher";

	-- Beast family names; we use these to provide immersive pet-specific sounds when the pet is hungry. If not localized, all pets will just play a bell sound when hungry.
	FOM_BAT = "Fledermaus";
	FOM_BEAR = "Bär";
	FOM_BOAR = "Eber";
	FOM_CARRION_BIRD = "Aasvogel";
	FOM_CAT = "Katze";
	FOM_CRAB = "Krebs";
	FOM_CROCOLISK = "Krokilisk";
--	FOM_GORILLA = "Gorilla";		-- same as enUS
	FOM_HYENA = "Hyäne";
	FOM_OWL = "Eule";
--	FOM_RAPTOR = "Raptor";		-- same as enUS
	FOM_SCORPID = "Skorpid";
	FOM_SPIDER = "Spinne";
	FOM_TALLSTRIDER = "Weitschreiter";
	FOM_TURTLE = "Schildkröte";
	FOM_WIND_SERPENT = "Windnatter";
--	FOM_WOLF = "Wolf";		-- same as enUS
	
-- From here on down, the localized strings are just for readability; they don't affect whether Feed-O-Matic works.

-- Special diet keyword used in the chat-line interface for listing all diets.
	FOM_DIET_ALL	= "alles";

	-- Used in tooltips to indicate food quality.
	FOM_QUALITY_UNDER = "%s mag das nicht mehr fressen.";
	FOM_QUALITY_WILL = "%s mag das fressen.";
	FOM_QUALITY_LIKE = "%s frisst das gerne.";
	FOM_QUALITY_LOVE = "%s liebt es, das zu fressen.";

	-- User-visible errors
	FOM_ERROR_NO_FOOD  = "%s findet nichts zu fressen in Deinem Rucksack.";

	-- Feeding status messages
	FOM_FEEDING_EAT   = "%s frisst ein %s aus Deinem Rucksack."; 
	FOM_FEEDING_FEED  = "füttert %s ein %s. ";

end

------------------------------------------------------

if (GetLocale() == "koKR") then

-- Diet names. These should be the all-lowercase versions of the six diets returned from GetPetFoodTypes(). (Want to get them all nice and quick for your localization? Go tame a bear... they eat anything.)
-- THESE STRINGS MUST BE LOCALIZED for Feed-O-Matic to work properly in other locales.
--	FOM_DIET_MEAT	= "meat";
--	FOM_DIET_FISH	= "fish";
--	FOM_DIET_BREAD	= "bread";
--	FOM_DIET_CHEESE = "cheese";
--	FOM_DIET_FRUIT	= "fruit";
--	FOM_DIET_FUNGUS = "fungus";

	-- It's not clear whether the 5th and 6th returns from GetItemInfo() are supposed to be localized... so we have localized keys for them just in case.
--	FOM_AMMO_POUCH = "Ammo Pouch";
	FOM_QUIVER = "화살통";
	
end
